Uses Crt;

Const FileNev = 'Szemszam.txt';
Type TTomb = Array[1..11] of Byte;

Var    SzaTomb1, SzaTomb2 : TTomb;
    cv, Sorsz, UtolsoJegy : Byte;

{-------------------------------------------------------------------------}
Procedure BekeresTomb(Var Szaj : TTomb);
Var    cv : Byte;
    Seged : String[10];
     Code : Integer;
Begin
   Readln(Seged);
   For cv := 1 to 10 Do
     Begin
       Val(Seged[cv],Szaj[cv],Code);
     End;
End;

{-------------------------------------------------------------------------}

Procedure Kiiras(Szaj : TTomb;jegy : Byte);
Var cv : Byte;
Begin
  For cv := 1 to jegy do
    write(Szaj[cv]);
End;

{-------------------------------------------------------------------------}

Function FerfivNo(Elsojegy : Byte) : Boolean;
Begin
 If Elsojegy mod 2 = 0 then
    FerfivNo := True
 Else
    FerfivNo := False;
End;

{-------------------------------------------------------------------------}

Function SzulSorszam(Nyolc, Kilenc, Tiz : Byte) : Word;
Begin
  Szulsorszam := 100 * Nyolc + 10 * Kilenc + Tiz;
End;

{-------------------------------------------------------------------------}

Function SzuliNap(Ev1, Ev2 : Byte) : Byte;
Var SzEv, Ev : Word;
Begin
  Ev := 2004;
  If Ev1 = 0 then
     SzEv := 2000 + Ev2
  Else
     SzEv := 1990 + Ev2;
  SzuliNap := Ev - SzEv;
End;

{-------------------------------------------------------------------------}

Procedure KiIdosebb(Szaj1, Szaj2 : TTomb);
Var cv : Byte;
Begin
  cv:= 1;
  Szaj1[cv]:= Szaj1[cv] + Szaj1[cv] mod 2;
  Szaj2[cv]:= Szaj2[cv] + Szaj2[cv] mod 2;
  While (cv<=10) AND (Szaj1[cv]=Szaj2[cv]) DO
    Inc(cv);
  if Szaj1[cv] < Szaj2[cv] then
    writeln('Az els szemly az idsebb.')
  Else
    writeln('A msodik szemly az idsebb.');
End;

{-------------------------------------------------------------------------}

Function EvKulonbseg(Szaj1, Szaj2 : TTomb) : Byte;
var Kor1, Kor2 : Byte;
Begin
  Kor1 := Szulinap(Szaj1[2], Szaj1[3]);
  Kor2 := Szulinap(Szaj2[2], Szaj2[3]);
  EvKulonbseg := ABS(Kor1 - Kor2);
End;

{-------------------------------------------------------------------------}

Function UtolsoJegySzamitas(Szaj : TTomb) : Byte;
Var cv : Byte;
    SzorzatSzum : Integer;
Begin
  SzorzatSzum:= 0;
  For cv := 1 to 10 Do
      SzorzatSzum := SzorzatSzum + Szaj[cv] * (10 - cv + 1);
  UtolsoJegySzamitas := SzorzatSzum mod 11;
End;

{-------------------------------------------------------------------------}

Procedure TombToStr(Szaj : TTomb; Var SzA : String);
Var cv : Byte;
    sv : String;
Begin
   SzA := '';
   For cv := 1 to 10 do
        Begin
          Str(Szaj[cv],sv);
          SzA:= SzA + sv;
        End;
End;

{-------------------------------------------------------------------------}

Procedure FileBaKiir;
Var TF : Text;
    SzajSzoveg : String;
Begin
  Assign(TF,FileNev);
  ReWrite(TF);
    TombToStr(SzaTomb1,SzajSzoveg);
    Writeln(TF,SzajSzoveg);
    TombToStr(SzaTomb2,SzajSzoveg);
    Writeln(TF,SzajSzoveg);
  Close(TF);
End;

{------------------------------- Fprogram ------------------------------}

BEGIN
  clrscr;
  { a. feladat
  ---------------------------------------------------------------------}
  Writeln('Adja meg a szemlyazonost jelet!');
  Write('Szaj: ');
  BekeresTomb(SzaTomb1);
  writeln;
  Clrscr;
  Write('A bekrt szemlyi azonost: ');
  Kiiras(SzaTomb1,10);
  Writeln;

  { b. feladat
  ---------------------------------------------------------------------}
  If FerfivNo(SzaTomb1[1]) then
    Writeln('A szemly neme: N') else Writeln('A szemly neme: Frfi');

  { c. feladat
  ---------------------------------------------------------------------}
  Sorsz := SzulSorszam(SzaTomb1[8], SzaTomb1[9], SzaTomb1[10]);
  Writeln('A szemly szletsi sorszma: ', Sorsz);

  { d. feladat
  ---------------------------------------------------------------------}
  Writeln('Az illet idn ' , Szulinap(SzaTomb1[2], SzaTomb1[3]) , ' ves.');

  { e. feladat
  ---------------------------------------------------------------------}
  Writeln('Adja meg a msodik szemlyazonost jelet!');
  Write('Szaj: ');
  BekeresTomb(SzaTomb2);

  { f. feladat
  ---------------------------------------------------------------------}
  KiIdosebb(SzaTomb1,SzaTomb2);

  { g. feladat
  ---------------------------------------------------------------------}
  Writeln('A kt szemly kztt ', EvKulonbseg(SzaTomb1,SzaTomb2), ' v van.');

  { h. feladat
  ---------------------------------------------------------------------}
  UtolsoJegy := UtolsoJegySzamitas(SzaTomb2);
  If UtolsoJegy = 10 then
    Writeln('A Szletsi sorszm hibs!')
  Else
    Begin
      SzaTomb2[11] := UtolsoJegy;
      Write('A szemlyazonost az utols jeggyel: ');
      Kiiras(SzaTomb2,11);
      Writeln;
    End;

  { i. feladat
  ---------------------------------------------------------------------}
  FileBaKiir;
  Writeln('A kirs a fjlba befejezdtt.');
  Readln;

END.